org.apache.ignite.internal.visor.verify

## Class VisorIdleVerifyTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorIdleVerifyTaskArg,VisorIdleVerifyTaskResult>
    - - org.apache.ignite.internal.visor.verify.VisorIdleVerifyTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorIdleVerifyTaskArg>,VisorIdleVerifyTaskResult>

Deprecated.

    @GridInternal
     @Deprecated
    public class VisorIdleVerifyTask
    extends VisorOneNodeTask<VisorIdleVerifyTaskArg,VisorIdleVerifyTaskResult>

Task to verify checksums of backup partitions.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorIdleVerifyTask()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected VisorJob<VisorIdleVerifyTaskArg,VisorIdleVerifyTaskResult>` `job(VisorIdleVerifyTaskArg arg)` Deprecated.

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorIdleVerifyTask

    public VisorIdleVerifyTask()

Deprecated.

### Method Detail

#### job

    protected VisorJob<VisorIdleVerifyTaskArg,VisorIdleVerifyTaskResult> job(VisorIdleVerifyTaskArg arg)

Deprecated.

Specified by:
  `job` in class `VisorMultiNodeTask<VisorIdleVerifyTaskArg,VisorIdleVerifyTaskResult,VisorIdleVerifyTaskResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018